Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::ReaderWriter Class Reference

This is the base class for reader/writer objects. More...

Inheritance diagram for osgIntrospection::ReaderWriter:

[legend]
List of all members.

## Public Member Functions
virtual std::ostream & | writeTextValue (std::ostream &, const Value &v, const Options *=0) const
| Writes a textual representation of the value's content to a stream.
virtual std::istream & | readTextValue (std::istream &, Value &v, const Options *=0) const
| Reads a textual representation of the value's content from a stream.
virtual std::ostream & | writeBinaryValue (std::ostream &, const Value &v, const Options *=0) const
| Writes a binary representation of the value's content to a stream.
virtual std::istream & | readBinaryValue (std::istream &, Value &v, const Options *=0) const
| Reads a binary representation of the value's content from a stream.
virtual | ~ReaderWriter ()
| Virtual destructor.

## Detailed Description

This is the base class for reader/writer objects.

A ReaderWriter's purpose is to provide the means for writing the content of a Value object to a stream and for reading it back. Descendants can either be specialized for just one data type or they can handle several types, that's up to the implementor. A derived class is not required to support all streaming operations (text write, text read, bin write and bin read), it can implement just some of them, although full support is strongly encouraged.

## Constructor & Destructor Documentation

virtual osgIntrospection::ReaderWriter::~ReaderWriter | ( |  | ) | `[inline, virtual]`

| Virtual destructor.

## Member Function Documentation

virtual std::istream& osgIntrospection::ReaderWriter::readBinaryValue | ( | std::istream & | ,
|  | Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Reads a binary representation of the value's content from a stream. Reimplemented in osgIntrospection::StdReaderWriter< T >, and osgIntrospection::PtrReaderWriter< T >.

virtual std::istream& osgIntrospection::ReaderWriter::readTextValue | ( | std::istream & | ,
|  | Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Reads a textual representation of the value's content from a stream. Reimplemented in osgIntrospection::StdReaderWriter< T >, and osgIntrospection::PtrReaderWriter< T >.

virtual std::ostream& osgIntrospection::ReaderWriter::writeBinaryValue | ( | std::ostream & | ,
|  | const Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Writes a binary representation of the value's content to a stream. Reimplemented in osgIntrospection::StdReaderWriter< T >, and osgIntrospection::PtrReaderWriter< T >.

virtual std::ostream& osgIntrospection::ReaderWriter::writeTextValue | ( | std::ostream & | ,
|  | const Value & | v,
|  | const Options * | = 0
| ) | const`[inline, virtual]`

| Writes a textual representation of the value's content to a stream. Reimplemented in osgIntrospection::StdReaderWriter< T >, and osgIntrospection::PtrReaderWriter< T >.

The documentation for this class was generated from the following file:

- osgIntrospection/ReaderWriter